List Notes
/unified/crm/notes
Partial response — use the "get" endpoint for the full object.
Query Parameters
Refer Specifying query parameters in Truto APIs
The note's account
14 supported4 notes
Only one of account, contact, or opportunity can be filtered at a time.
The account to be filtered on the notes
Account associated with the note. One of contact, account and opportunity is always required.
The account associated with the note
The account's unique identifier
The note's contact
20 supported2 required4 notes
Only one of account, contact, or opportunity can be filtered at a time.
The contact to be filtered on the notes. Applicable only when account is also present.
Contact associated with the note. One of contact, account and opportunity is always required.
The contact associated with the note
The contact's unique identifier
The note's opportunities
13 supported3 notes
Only one of account, contact, or opportunity can be filtered at a time.
Opportunity associated with the note. One of contact, account and opportunity is always required.
The opportunity associated with the note
The opportunity's unique identifier for which to retrieve notes
The note's owner
19 supported2 notes
The owner to be filtered on the notes. Applicable only when account is also present.
The owner of the note
The note's owner's unique identifier
The date and time of the note's creation
20 supported
1 supported
The note's title
7 supported
The date and time of the note's last update
17 supported
The content of the note
21 supported
accountcontactcontentcreated_atopportunityownertitleupdated_at
5 supported
created_atupdated_ataccountopportunitycontactownercontentcreated_atupdated_atcreated_atupdated_atcontenttitlecreated_atcreated_atupdated_atThe lead associated with the note.
7 supported
The unique identifier for the lead.
The lead's unique identifier
1 supported
Show Truto-specific parameters
The ID of the integrated account to use for the request.
62f44730-dd91-461e-bd6a-aedd9e0ad79dThe format of the response.
unifiedreturns the response with unified mappings applied.rawreturns the unprocessed, raw response from the remote API.normalizedapplies the unified mappings and returns the data in a normalized format.streamreturns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.
Defaults to unified.
unifiedunifiedrawnormalizedstream
By default the result attribute is an array of objects. This parameter allows you to specify a field in each result objects to use as key, which transforms the result array into an object with the array items keyed by the field. This is useful for when you want to use the result as a lookup table.
idIgnores the limit query parameter.
Excludes the remote_data attribute from the response.
Array of fields to exclude from the response.
truto_exclude_fields[]=id&truto_exclude_fields[]=nameQuery parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.
remote_query[foo]=barResponse Body
The cursor to use for the next page of results. Pass this value as next_cursor in the query parameter in the next request to get the next page of results.
List of Notes
The note's unique identifier
21 supported
The note's account
14 supported
1 property
The account's unique identifier
The note's contact
20 supported
1 property
The contact's unique identifier
The note's content
21 supported
The date and time of the note's creation
20 supported
The note's leads
7 supported
1 property
The lead's unique identifier
The note's opportunities
13 supported
1 property
The opportunity's unique identifier
The note's owner
19 supported
1 property
The note's owner's unique identifier
Raw data returned from the remote API call.
The note's title
7 supported
The date and time of the note's last update
17 supported
The note's urls
4 supported
2 properties
The note's URL type
The note's URL
The note's visibility
publicprivate
1 supported
curl -X GET 'https://api.truto.one/unified/crm/notes?integrated_account_id=<integrated_account_id>' \
-H 'Authorization: Bearer <your_api_token>' \
-H 'Content-Type: application/json'const integratedAccountId = '<integrated_account_id>';
const response = await fetch(`https://api.truto.one/unified/crm/notes?integrated_account_id=${integratedAccountId}`, {
method: 'GET',
headers: {
'Authorization': 'Bearer <your_api_token>',
'Content-Type': 'application/json',
},
});
const data = await response.json();
console.log(data);import requests
url = "https://api.truto.one/unified/crm/notes"
headers = {
"Authorization": "Bearer <your_api_token>",
"Content-Type": "application/json",
}
params = {
"integrated_account_id": "<integrated_account_id>"
}
response = requests.get(url, headers=headers, params=params)
print(response.json())import Truto from '@truto/truto-ts-sdk';
const truto = new Truto({
token: '<your_api_token>',
});
const result = await truto.unifiedApi.list(
'crm',
'notes',
{ integrated_account_id: '<integrated_account_id>' }
);
console.log(result);import asyncio
from truto_python_sdk import TrutoApi
truto_api = TrutoApi(token="<your_api_token>")
async def main():
async for item in truto_api.unified_api.list(
"crm",
"notes",
{"integrated_account_id": "<integrated_account_id>"}
):
print(item)
asyncio.run(main())